#!/bin/sh
#------------------------------------------------------------------------------
# Creation:     bastard
# Last Update:  $Id: rrdtool.cgi 11037 2006-02-20 17:14:51Z hh $
#------------------------------------------------------------------------------

# get main helper functions
. /srv/www/include/cgi-helper

# Security check
check_rights "misc" "rrdtool"

# get config variables
. /var/run/rrdtool.cfg

: ${FORM_action:="tab1"}
: ${FORM_id:="1"}

eval 'set -- $RRDTOOL_'$FORM_id'_OPTIONS'
: ${FORM_option:=$1}

show_html_header "rrdtool"

#
# Menue - Links
#

maintabs=""

for idx in `seq 1 $RRDTOOL_N`
do
    eval '_tab'$idx='$RRDTOOL_'$idx'_COMMENT'
    maintabs="${maintabs}\"`eval echo '$_tab'$idx`\" \"$myname?action=tab$idx&amp;id=$idx\" "
done

eval show_tab_header $maintabs

#
# Grafiken und Anker
#

idx=$FORM_id
eval dpath='$RRDTOOL_DB_PATH'
eval source='$RRDTOOL_'$idx'_SOURCE'
eval options='$RRDTOOL_'$idx'_OPTIONS'
eval vil='$RRDTOOL_'$idx'_VALUE_INTERVAL'
eval gil='$RRDTOOL_'$idx'_GRAPH_INTERVAL'
eval gpath='$RRDTOOL_'$idx'_GRAPH_PATH'

tabs=""
case $options in
    "")
        for intervall in e-3h e-24h e-1w e-1m e-1y
        do
            case "${intervall}" in
                "e-3h") text="letzten 3h" ;;
                "e-24h") text="letzten 24h" ;;
                "e-1w") text="letzte Woche" ;;
                "e-1m") text="letzter Monat" ;;
                "e-1y") text="letztes Jahr" ;;
            esac
            if [ 0$gil -eq 0 ]
            then
                . /etc/rrdtool/${source}.graph "$dpath" "$gpath" "$intervall"|rrdtool - >/dev/null
            fi
            echo "$text<br><img src=\"${source}/${source}-${intervall}.png\" alt=\"${source}/${source}-${intervall}.png\"><br><br>"
        done
    ;;
    *)
    for option in $options
    do
        case ${option} in
            $FORM_option)
                tabs="${tabs}${option} no "
            ;;
            *)
                tabs="${tabs}${option} $myname?action=tab$idx&amp;id=$idx&amp;option=${option} "
            ;;
        esac
    done
    show_tab_header $tabs

    for intervall in e-3h e-24h e-1w e-1m e-1y
    do
        case "${intervall}" in
            "e-3h") text="letzten 3h" ;;
            "e-24h") text="letzten 24h" ;;
            "e-1w") text="letzte Woche" ;;
            "e-1m") text="letzter Monat" ;;
            "e-1y") text="letztes Jahr" ;;
        esac
        if [ 0$gil -eq 0 ]
        then
            . /etc/rrdtool/${source}.graph "$dpath" "$gpath" "$FORM_option" "$intervall"|rrdtool - >/dev/null
        fi
        echo "$text<br><img src=\"${source}/$FORM_option-${intervall}.png\" alt=\"${source}/$FORM_option-${intervall}.png\"><br><br>"
    done
    show_tab_footer
    ;;
    esac
show_tab_footer
show_html_footer
